Treasury
Full yield curve for a date
Returns all maturities for a single date. Defaults to today if no date specified.
GET
/
v1
/
treasury
/
yields
/
curve
Full yield curve for a date
curl --request GET \
--url https://api.vintl.io/v1/treasury/yields/curve \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.vintl.io/v1/treasury/yields/curve"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.vintl.io/v1/treasury/yields/curve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "yield_curve",
"results": [
{
"trade_date": "2026-03-24T00:00:00Z",
"maturity": "10Y",
"rate": "4.39",
"curve_type": "PAR",
"source": "TREASURY"
}
]
}{
"type": "https://macrodata.dev/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key is required. Set the X-API-Key header.",
"instance": "/v1/ping"
}Authorizations
API key prefixed with mda_live_sk_
Query Parameters
Date for the curve snapshot (defaults to today)
Available options:
PAR, TIPS Last modified on April 2, 2026
⌘I
Full yield curve for a date
